
\usepackage[french]{babel}
\usepackage[utf8]{inputenc}
\usepackage{graphicx}
\usepackage{longtable}
\usepackage{amsmath}
\usepackage{tabularx}
%%%%%%%%%%%%%%%%%% LISTINGS %%%%%%%%%%%%%%%%%%%%%%
\usepackage{listings}
\lstset{literate=%
{}{{\'e}}1
{}{{\`e}}1
{}{{\`u}}1
{}{{\^e}}1
{}{{\cc}}1
{}{{\`a}}1
}
\lstset{extendedchars=\true}
\lstset{inputencoding=ansinew}
\usepackage{color}
\definecolor{mygreen}{rgb}{0,0.6,0}
\definecolor{mygray}{rgb}{0.5,0.5,0.5}
\definecolor{mymauve}{rgb}{0.58,0,0.82}

\lstset{ %
  backgroundcolor=\color{gray!15},   % choose the background color; you must add \usepackage{color} or \usepackage{xcolor}
  basicstyle=\footnotesize,        % the size of the fonts that are used for the code
  breakatwhitespace=false,         % sets if automatic breaks should only happen at whitespace
  breaklines=true,                 % sets automatic line breaking
  captionpos=b,                    % sets the caption-position to bottom
  commentstyle=\color{mygreen},    % comment style
  deletekeywords={...},            % if you want to delete keywords from the given language
  escapeinside={\%*}{*)},          % if you want to add LaTeX within your code
  extendedchars=true,              % lets you use non-ASCII characters; for 8-bits encodings only, does not work with UTF-8
 % frame=single,                    % adds a frame around the code
  keepspaces=true,                 % keeps spaces in text, useful for keeping indentation of code (possibly needs columns=flexible)
  keywordstyle=\color{blue},       % keyword style
  language=python,                 % the language of the code
  morekeywords={*,...},            % if you want to add more keywords to the set
  numbers=left,                    % where to put the line-numbers; possible values are (none, left, right)
  numbersep=5pt,                   % how far the line-numbers are from the code
  numberstyle=\tiny\color{mygray}, % the style that is used for the line-numbers
  rulecolor=\color{black},         % if not set, the frame-color may be changed on line-breaks within not-black text (e.g. comments (green here))
  showspaces=false,                % show spaces everywhere adding particular underscores; it overrides 'showstringspaces'
  showstringspaces=false,          % underline spaces within strings only
  showtabs=false,                  % show tabs within strings adding particular underscores
  stepnumber=1,                    % the step between two line-numbers. If it's 1, each line will be numbered
  stringstyle=\color{mymauve},     % string literal style
  tabsize=2,                       % sets default tabsize to 2 spaces
  title=\lstname                   % show the filename of files included with \lstinputlisting; also try caption instead of title
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%% LISTINGS %%%%%%%%%%%%%%%%%%%%%%
\usepackage{listings}
\lstset{literate=%
{é}{{\'e}}1
{è}{{\`e}}1
{ù}{{\`u}}1
{ê}{{\^e}}1
{ç}{{\c c}}1
{à}{{\'a}}1
}
\lstset{extendedchars=\true}
\lstset{inputencoding=ansinew}
\usepackage{xcolor}
\definecolor{mygreen}{rgb}{0,0.6,0}
\definecolor{mygray}{rgb}{0.5,0.5,0.5}
\definecolor{mymauve}{rgb}{0.58,0,0.82}

\lstset{
language=python,
basicstyle=\ttfamily\small,
identifierstyle=\color{black},
keywordstyle=\bf\color{blue},
stringstyle=\color{yellow!20!red!80!black!80},
commentstyle=\it\color{red},
columns=flexibles,
tabsize=2,
extendedchars=true,
showspaces=false,
showstringspaces=false,
numbers=none,
numberstyle=\tiny,
breaklines=true,
breakautoindent=true,
captionpos=b
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Par défaut pas d'indentation des retours à la ligne
\setlength{\parindent}{0pt}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usepackage{geometry}
\geometry{hmargin=65pt, vmargin=80pt}

\usepackage{fancyhdr}
\usepackage{moreverb}
\usepackage{url}
\usepackage{lastpage}

\renewcommand{\headrulewidth}{0.2pt}
\renewcommand{\footrulewidth}{0pt}

\newcommand\ligne{%
  \hbox{\raisebox{0.9em}{\vrule depth 0pt height 0.2pt width
      \textwidth}}
}
\newcommand{\sol}[1]{%
  \vspace{.5cm}
  \noindent
  \rule{\textwidth}{.8pt}
  \small
  {\bf CORRIGE\,: (enseignant uniquement)}
  {\tt
    #1
  }
  \noindent
  \rule{\textwidth}{.8pt}
  \vspace{.5cm}
}



\renewcommand{\labelenumi}{{\bf \alph{enumi}}.}
\def\thesection{\arabic{section}.}
\def\thesubsection{\Alph{subsection}.}
\def\thesubsubsection{\arabic{subsubsection}.}

%%################################

\newcounter{sujet}
\newcounter{semaine}

\newcolumntype{Y}{>{\centering\arraybackslash}X}

\newcommand{\nouvellepage}[1]{%
\newpage
\begin{center}
  \refstepcounter{sujet}%
  \setcounter{iut@exercice}{0}%
  %\sc{Nom \hfill Oraux de Consolidation (semaine \arabic{\iutval{numero}} - sujet \arabic{sujet})}
    \begin{tabularx}{\linewidth}{p{3cm}Yp{2cm}}\hline
%    \iutval{type} &\centering\iutval{titre}\\\hline\end{tabular*}
	{\iutval{typenum style}{\iutval{type style}\iutval{type}} n$^\circ${\iutval{numero style}\iutval{numero}}}
     &\iutval{titre style}\iutval{titre} &\\
    \hline \end{tabularx}
    \par
\end{center}
}

%{\linewidth}{|*{2}{>{\centering \arraybackslash}X|}}

%\newcounter{exercice}
%
%\newcommand{\exercice}[1]{%
%  
%  \setcounter{question}{0}%
%  \refstepcounter{exercice}%
%  \vspace{1em}
%  \noindent\textbf{Exercice \arabic{exercice}.\quad #1 }%
%  \ignorespaces
%}
  
  
  
%\newcounter{question}
%
%\newcommand{\question}{%
%  \refstepcounter{question}%
%  \noindent\textbf{\arabic{exercice}.\arabic{question}.\quad }%
%  \ignorespaces
%}
  

\iutset{cours={Oraux de consolidation}, type={semaine}, annee={2018-2019},titre={....}}


